-- Contain all balls

balls = {}

-- Shuffle math.random()

math.random()
math.random()
math.random()

function love.load()
	
	world = love.physics.newWorld(0, 200)
	
	local ballImage = love.graphics.newImage("ball.png")
	
	-- Generate seven balls
	for i=1,7 do
		local x, y = 200, 100 + (100 * i)
		local t = {}
		t.b = love.physics.newBody(world, x, y, "dynamic")
		t.s = love.physics.newCircleShape(28)
		t.i = ballImage
		t.ox = 32
		t.oy = 32
		table.insert(balls, t)
	end
end

function love.update(dt)
    world:update(dt)

	-- Loop balls around if they go offscreen
    for i,v in ipairs(balls) do
	local x, y = v.b:getPosition()
		if x > love.graphics.getWidth() or y > love.graphics.getHeight() + 32 then
			v.b:setPosition(math.random(0, love.graphics.getWidth()), math.random(-32, -50))
		end
    end    
end

function love.draw()
    for i,v in ipairs(balls) do
		local x, y = v.b:getLinearVelocity()
		love.graphics.print(x .. ', ' .. round(y, 2), 10, 10 * i)
        love.graphics.draw(v.i, v.b:getX(), v.b:getY(), v.b:getAngle(), 1, 1, v.ox, v.oy)
    end
end

function round(num, numDecimalPlaces)
  local mult = 10^(numDecimalPlaces or 0)
  return math.floor(num * mult + 0.5) / mult
end